Bug 116078 - yamaha opl3sa2 modules won't load
yamaha opl3sa2 modules won't load
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 21:13 EST by Justin Georgeson
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 04:43:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Georgeson 2004-02-17 21:13:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I have an onboard Yamaha OPL3-SA2 chipset, which Red Hat and Fedora
have never detected right. In the 2.4.x kernels, I just had to change
the alias in /etc/modules.conf to the opl3sa2 driver and everything
was dandy. I'm not sure which driver is being loaded (now with the
2.6.x+ALSA stuff, but it doesn't work (the gnome mixer applet reports
no device found). The ones I see are snd_pcm_oss, snd_pcm,
snd_page_alloc, snd_timer, snd_mixer_oss, snd, and soundcore. So I
unload them with `modprobe -r snd_pcm_oss` and load the correct driver
with `modprobe -a snd_opl3sa2`. It says it can't find a supported device.

Version-Release number of selected component (if applicable):
kernel-2.6.2-1.81smp

How reproducible:
Always

Steps to Reproduce:
1. Open terminal
2. `modprobe -r snd_pcm_oss`
3. confirm all sound modules unloaded with lsmod
4. `modprobe -a snd_opl3sa2`
    

Actual Results:  [root@dragon root]
# modprobe -a snd_opl3sa2
FATAL: Error inserting snd_opl3sa2
(/lib/modules/2.6.2-1.81smp/kernel/sound/isa/snd-opl3sa2.ko): No such
device
[root@dragon root]
# lsmod
Module                  Size  Used by
snd_opl3_lib           12288  0
snd_hwdep              10244  1 snd_opl3_lib
snd_cs4231_lib         30976  0
snd_mpu401_uart         9088  0
snd_rawmidi            27040  1 snd_mpu401_uart
snd_seq_device          9096  2 snd_opl3_lib,snd_rawmidi
snd_pcm               105860  1 snd_cs4231_lib
snd_page_alloc         13060  2 snd_cs4231_lib,snd_pcm
snd_timer              29572  3 snd_opl3_lib,snd_cs4231_lib,snd_pcm
snd                    56932  8
snd_opl3_lib,snd_hwdep,snd_cs4231_lib,snd_mpu401_uart,snd_rawmidi,snd_seq_device,snd_pcm,snd_timer
soundcore              10720  1 snd


Expected Results:  The module should load and I should have access to
my sound card.

Additional info:
Comment 1 Justin Georgeson 2004-02-19 02:26:53 EST
Problem persists on kernel-smp-2.6.2-1.87. I had the thought to
install sndconfig, but that doesn't seem to be available any more.
Comment 2 Justin Georgeson 2004-02-19 02:48:45 EST
not sure if this will matter too much, but this is an ISA audio chipset.
Comment 3 Justin Georgeson 2004-02-19 12:21:54 EST
Oh yeah, system-config-sound (and all the redhat-config-sound versions
before) don't detect the chipset, which is why I though to use sndconfig.
Comment 4 Justin Georgeson 2004-02-19 23:01:53 EST
Problem still exists in kernel-smp-2.6.3-1.91.
Comment 5 Michael R. Mayne 2004-05-05 11:14:46 EDT
I also have this problem on FC2T3 w/kernel 2.6.5-1.349.  However, 
from the kernel boot log, it does appear that the ISA PNP card is now 
being detected properly.
Comment 6 Justin Georgeson 2004-11-14 12:15:59 EST
I'm no longer using the Yamaha audio chipset, so I don't really care
about this anymore.

Note You need to log in before you can comment on or make changes to this bug.